Summary:    A library for generating Enhanced Metafiles
Name:       libEMF
Version:    1.0.13
Release:    6%{?dist}
License:    LGPLv2+ and GPLv2+
URL:        http://libemf.sourceforge.net/
Source0:    https://downloads.sourceforge.net/project/libemf/libemf/%{version}/libemf-%{version}.tar.gz
Patch3000:     0001-libEMF-add-loongarch64.patch

BuildRequires: gcc-c++ make

%description
libEMF is a library for generating Enhanced Metafiles on systems which don't natively support the
ECMA-234 Graphics Device Interface (GDI). The library is intended to be used as a driver for other
graphics programs such as Grace or gnuplot. Therefore, it implements a very limited subset of the
GDI.

%package devel
Summary:    libEMF header files
Requires:    %{name} = %{version}-%{release} libstdc++-devel

%description devel
libEMF header files.

%prep
%autosetup -n libemf-%{version} -p1

%build
%configure \
    --disable-static \
    --enable-editing \
    %{nil}

%make_build

%install
export CPPROG="cp -p"
%make_install
rm -f %{buildroot}%{_libdir}/libEMF.la

%check
make check


%files
%license COPYING COPYING.LIB
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/printemf
%{_libdir}/libEMF.so.1*

%files devel
%{_libdir}/libEMF.so
%{_includedir}/libEMF

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.13-6
- Rebuilt for loongarch release

* Fri May 10 2024 Pengda Dou <doupengda@loongson.cn> - 1.0.13-5
- [Type] other
- [DESC] add support for loongarch64

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.13-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.13-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 2 2023 Shuo Wang <abushwang@tencent.com> - 1.0.13-1
- initial build
